<?php
/* utf8-marker = äöüß */

/*
 * xlang_XH
 *
 * @author Olaf Penschke (olape)
 * @version 1.4.1 (09.02.2018)
 * @Anpassung für CMSimple XH in beta4 von cmb

 * @license http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3

================================================================================

hreflang-Attribut für Sprach- oder Regions-URL Ihrer Seiten verwenden
https://support.google.com/webmasters/answer/189077?hl=de

mithilfe kanonischer URLs die Link- und Rankingsignale von Inhalten verbessern
https://support.google.com/webmasters/answer/139066?hl=de

================================================================================
*/

/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if(!defined('PLUGINLOADER')) {
	die(
		'Plugin '. basename(dirname(__FILE__)) 
		. ' requires a newer version of the Pluginloader. No direct access.'
	);
}

//*********************************************************************************************

include($pth['folder']['plugins'] . 'xlang/xlang.php');

// Basis-URL
if((!empty($plugin_cf['xlang']['xlang_basis_url'])) && (!XH_ADM))
{
	$op_basis_url = rtrim($plugin_cf['xlang']['xlang_basis_url'], '/'); 												// falls Eingabe mit trailing-Slash


	if(isset($plugin_cf['xlang']['canonical_get_x']))
	{
		$plugin_cf_xlang_canonical_get_x = trim($plugin_cf['xlang']['canonical_get_x'], '|'); 							// falls | am Ende oder Anfang
		$op_get_x = '';
		$op_get_x_tmp_arr = explode('|', $plugin_cf_xlang_canonical_get_x);
		foreach($op_get_x_tmp_arr as $op_get_x_tmp)
		{
			if(array_key_exists($op_get_x_tmp, $_GET) !== false)
			{
				$op_get_x .= $op_get_x_tmp . '|';
			}
		}
		$op_get_x = rtrim($op_get_x, '|'); 																				// | am Ende entfernen
	}

//******************************************************************************
	
	if((isset($plugin_cf['xlang']['canonical_get_exceptions'])) 
	&& ($plugin_cf['xlang']['canonical_set'] == 'max'))
	{
		$plugin_cf_xlang_canonical_get_exceptions = trim($plugin_cf['xlang']['canonical_get_exceptions'], '|');			// falls | am Ende oder Anfang
		$op_get_canonical_exceptions = '';
		$op_get_canonical_exceptions_tmp_arr = explode('|', $plugin_cf_xlang_canonical_get_exceptions);
		foreach($op_get_canonical_exceptions_tmp_arr as $op_get_canonical_exceptions_tmp)
		{
			if(array_key_exists($op_get_canonical_exceptions_tmp, $_GET) !== false)
			{
				$op_get_canonical_exceptions .= $op_get_canonical_exceptions_tmp;
			}
		}
	}

//******************************************************************************
	
	if((isset($plugin_cf['xlang']['hreflang_get_exceptions'])) 
	&& ((!empty($plugin_cf['xlang']['hreflang_set'])) 
	&& ($plugin_cf['xlang']['hreflang_set'] == 'true')))
	{
		$plugin_cf_xlang_hreflang_get_exceptions = trim($plugin_cf['xlang']['hreflang_get_exceptions'], '|'); 			// falls | am Ende oder Anfang
		$op_get_hreflang_exceptions = '';
		$op_get_hreflang_exceptions_tmp_arr = explode('|', $plugin_cf_xlang_hreflang_get_exceptions);
		foreach($op_get_hreflang_exceptions_tmp_arr as $op_get_hreflang_exceptions_tmp)
		{
			if(array_key_exists($op_get_hreflang_exceptions_tmp, $_GET) !== false)
			{
				$op_get_hreflang_exceptions .= $op_get_hreflang_exceptions_tmp;
			}
		}
	}

//******************************************************************************

	if(($plugin_cf['xlang']['canonical_set'] == 'min') 
	&& (!empty($op_get_x)) 
	&& (empty($op_get_canonical_exceptions)) 
	&& (!empty(op_canonical($op_get_x))))
	{
		//$hjs .= "\n" . '<!-- canonical min ' . $op_get_x . ' -->' . "\n" . op_canonical($op_get_x);					//Testausgabe
		$hjs .= op_canonical($op_get_x);
	}
	else if(($plugin_cf['xlang']['canonical_set'] != 'none') 
		&& (empty($op_get_canonical_exceptions)) 
		&& (!empty(op_canonical($op_get_x))))
	{
		//$hjs .= "\n" . '<!-- canonical not_none ' . $op_get_x . ' -->' . "\n" . op_canonical($op_get_x);				//Testausgabe
		$hjs .= op_canonical($op_get_x);
	}

	if((!empty($plugin_cf['xlang']['hreflang_set'])) 
	&& ($plugin_cf['xlang']['hreflang_set'] == 'true') 
	&& (empty($op_get_x)) 
	&& (empty($op_get_hreflang_exceptions)) 
	&& (!empty(op_xlang())))
	{
		//$hjs .= '<!-- xlang -->' . "\n" . op_xlang();																	//Testausgabe
		$hjs .= op_xlang();
	}

}

?>