<?php
/* utf8-marker = äöüß */

/*
 * xlang_XH
 *
 * @author Olaf Penschke (olape)
 * @version 1.4.1 (09.02.2018)
 * @Anpassung für CMSimple XH in beta4 von cmb

 * @license http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3

================================================================================

hreflang-Attribut für Sprach- oder Regions-URL Ihrer Seiten verwenden
https://support.google.com/webmasters/answer/189077?hl=de

mithilfe kanonischer URLs die Link- und Rankingsignale von Inhalten verbessern
https://support.google.com/webmasters/answer/139066?hl=de

================================================================================
*/

/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if(!defined('PLUGINLOADER')) {
	die(
		'Plugin '. basename(dirname(__FILE__)) 
		. ' requires a newer version of the Pluginloader. No direct access.'
	);
}

//*********************************************************************************************
// dynamisches Menü unter Plugin

if(function_exists('XH_registerStandardPluginMenuItems')) {
	XH_registerStandardPluginMenuItems(false);
}
//*********************************************************************************************
if(XH_wantsPluginAdministration('xlang')) {
	$o .= print_plugin_admin('off');
	
// Menü in der Pluginkopfzeile

	if(($admin != 'plugin_main') && ($admin != ''))
	{
		$o .= plugin_admin_common($action, $admin, $plugin);
	}
//*********************************************************************************************
//*********************************************************************************************
$op_plugin_name = 'xlang_XH';
$op_plugin_version = '1.4.1';
$op_copyright = '2014 - ' . date('Y');
$op_cms_version_arr = array('1.7.0','1.7.1','1.7.2');
$op_php_sersion = '5.3';
//*********************************************************************************************
//*********************************************************************************************
	if($admin == '')	//Anzeige nur auf Startseite des Plugins
	{
		$o .= "\n" . '<h1>'
		   . ucfirst(str_replace('_', ' ', $plugin)) . '</h1>';

		$o .= "\n".'<p style="font-family: arial, sans-serif;"><b>Plugin "' . $op_plugin_name . '" for CMSimple_XH</b></p>
		<hr>
		<p style="font-family: arial, sans-serif;">Version: ' . $op_plugin_version . '</p>
		<p style="font-family: arial, sans-serif;">' . $op_plugin_name . ', Copyright © ' . $op_copyright  . ' <a target="_blank" href="http://olaf.penschke.net/?CMSimple_XH/Plugins">Olaf Penschke</a></p>
		<p> </p>
		<p><a target="_blank" href="http://olaf.penschke.net/?Kontakt&xh_mailform_subject=' . $op_plugin_name . '">' . $plugin_tx['xlang']['admin_contact'] . '</a></p>
		<p> </p>
		<p style="font-family: arial, sans-serif;"><b>' . $op_plugin_name . '</b> kann unter Einhaltung der <a target="_blank" href="http://www.gnu.de/documents/gpl.de.html">GPLv3</a> verwendet werden.</p>
		<hr>
		<p>Adapted for CMSimple_XH ' . $op_cms_version_arr[0] . ' - ' . end($op_cms_version_arr) . ' by <a target="_blank" href="http://www.cmsimple-xh.org/">cmsimple-xh.org</a></p>
		<p> </p>
		<p style="font-family: arial, sans-serif;">Anpassung an CMSimple_XH von Christoph M. Becker in Version 1.0 Beta 4</p>
		<br><br>
		<p style="font-family: arial, sans-serif;">Weiter Infos zu hreflang-Links <a target="_blank" href="https://support.google.com/webmasters/answer/189077?hl=de">Google</a>.</p>
		<p style="font-family: arial, sans-serif;">Weiter Infos zum Kanonischen Link <a target="_blank" href="https://support.google.com/webmasters/answer/139066?hl=de">Google</a>.</p>
		<p style="font-family: arial, sans-serif;">Weitere Infos zu Inhalten mit nummerierten Seiten <a target="_blank" href="https://support.google.com/webmasters/answer/1663744?hl=de">Google</a>.</p>
		<hr>';

//*********************************************************************************************
// System check
//*********************************************************************************************
		$o .= '<h4>System check</h4>';
// CMSimple_XH Version
		$op_cms_version_tmp = CMSIMPLE_XH_VERSION;
		$op_cms_version_tmp = str_replace(array('CMSimple_XH '), '', $op_cms_version_tmp);
		$o .= '<ul style="list-style-type: none;">' . "\n";
		if(in_array($op_cms_version_tmp, $op_cms_version_arr, true)) {
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
			   . CMSIMPLE_XH_VERSION 
			   . ' &#x2192 supported</li>' 
			   . "\n";
		} else {
			$o .= '<li><span style="color: #ffcc00; font-size: 20px">&#x2714 &#x263A </span>' 
			   . CMSIMPLE_XH_VERSION 
			   . ' &#x2192 I hope it is still supported. It was designed for ' 
			   . $op_cms_version_arr[0] 
			   . ' - ' 
			   . end($op_cms_version_arr) 
			   . '.</li>' 
			   . "\n";
		}
		$o .= '</ul>' . "\n";
// PHP Version
		$o .= '<ul style="list-style-type: none;">' . "\n";
		if(version_compare(phpversion(), $op_php_sersion, '<')) {
			$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>PHP: ' 
			   . phpversion() 
			   . ' &#x2192 not supported</li>' 
			   . "\n";
		} else {
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>PHP: ' 
			   . phpversion() 
			   . ' &#x2192 supported</li>' 
			   . "\n";
		}
		$o .= '</ul>' . "\n";
// Schreibrechte
		$op_filename_arr = array($pth['folder']['plugins'] . 'xlang/config/config.php', 
								 $pth['folder']['plugins'] . 'xlang/languages/' . $sl . '.php', 
								 $pth['folder']['plugins'] . 'xlang/config/', 
								 $pth['folder']['plugins'] . 'xlang/languages/');
		$o .= '<ul style="list-style-type: none;">' . "\n";
		foreach($op_filename_arr as $op_filename) {
			if(is_writable($op_filename)) {
				$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
				   . $op_filename 
				   . ' &#x2192 writable</li>' 
				   . "\n";
			} else {
				$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
				   . $op_filename . ' &#x2192 not writable</li>' 
				   . "\n";
			}
		}
	$o .= '</ul>' . "\n";
//*********************************************************************************************
	}
}

?>